For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
    • Closed Beta Programs
        • API Documentation
        • Check List
        • Code Samples
        • Guiding Questions
        • Iterative Feature Development
        • API Reference
              • POSTCreate Store Plan Change
              • POSTCreate Store Cancellation
              • POSTCreate Store Suspension
              • POSTCreate Store Reactivation
Dev Portal
LogoLogo
Closed Beta ProgramsPowered ByAPI ReferencePlans

Create Store Plan Change

Beta
POST
https://api.bigcommerce.com/franchises/franchise_uuid/v1/stores/:store_id/change-plan
POST
/franchises/franchise_uuid/v1/stores/:store_id/change-plan
$curl -X POST https://api.bigcommerce.com/franchises/franchise_uuid/v1/stores/store_id/change-plan \
> -H "Accept: application/json" \
> -H "X-Auth-Client: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "plan_sku": "TRIAL-30DAY",
> "effective": "IMMEDIATELY"
>}'
1{
2 "data": {
3 "status": "active",
4 "id": "S-0001934",
5 "plan_sku": "TRIAL-30DAY",
6 "name": "Husky",
7 "country": "US",
8 "allocated_at": "2018-05-23 14:04:34.0",
9 "cancels_on": "nil",
10 "expires_at": "2018-06-23",
11 "primary_hostname": "www.husky.com",
12 "canonical_hostname": "store-da234.mybigcommerce.com",
13 "store_hash": "da234"
14 },
15 "meta": {}
16}
Create Store Plan Change
Was this page helpful?
Previous

List Stores

Next

Create Store Cancellation

Built with

Authentication

X-Auth-Clientstring
The client ID of the franchise API account.
OR
X-Auth-Tokenstring
An OAuth token generated from the franchise API account. To authenticate, generate an **OAuth Token** (if you donʼt have one or itʼs expired): ```http POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token Accept: application/json X-Auth-Client: {client_id} X-Auth-Secret: {client_secret} { "duration": 900 } ``` Response: ```json { "access_token": "dlkJcn34...Lkd012", "expires_at": "2018-04-24T16:15:26.509045122Z” } ``` After you generate an **OAuth token**, use the `client_id` and `oauth_token` to authenticate all other API requests: ```http GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123 Accept: application/json X-Auth-Client: {client_id} X-Auth-Token: {oauth_token} ``` Response: ```json { "data": { "id": "12345678910", "name": "Test Company", ... }, "meta": {} } ```

Path parameters

store_idstringRequired

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

plan_skustringRequired>=1 character
The new BigCommerce plan type. The allow list for SKUs is configured on your franchise.
effectiveenumOptional
Effective date for the plan change. Acceptable values: * IMMEDIATELY - the change is effective immediately * BILLCYCLEDAY - the change becomes effective at the start of the merchant’s next billing cycle, with the exception of trial accounts which are effective immediately. If the field is not specified, the change will become effective immediately. If the field is specified and the value does not match the values above, the change will become effective immediately.
Allowed values:

Response

Success
dataobject
metaobject

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
502
Bad Gateway Error
503
Service Unavailable Error
504
Gateway Timeout Error

An OAuth token generated from the franchise API account.

To authenticate, generate an OAuth Token (if you donʼt have one or itʼs expired):

1POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token
2Accept: application/json
3X-Auth-Client: {client_id}
4X-Auth-Secret: {client_secret}
5
6{
7 "duration": 900
8}

Response:

1{
2 "access_token": "dlkJcn34...Lkd012",
3 "expires_at": "2018-04-24T16:15:26.509045122Z”
4}

After you generate an OAuth token, use the client_id and oauth_token to authenticate all other API requests:

1GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123
2Accept: application/json
3X-Auth-Client: {client_id}
4X-Auth-Token: {oauth_token}

Response:

1{
2 "data": {
3 "id": "12345678910",
4 "name": "Test Company",
5 ...
6 },
7 "meta": {}
8}

The MIME type of the response body.

Effective date for the plan change. Acceptable values:

  • IMMEDIATELY - the change is effective immediately
  • BILLCYCLEDAY - the change becomes effective at the start of the merchant’s next billing cycle, with the exception of trial accounts which are effective immediately.

If the field is not specified, the change will become effective immediately.

If the field is specified and the value does not match the values above, the change will become effective immediately.